# This file created by conda-build 24.5.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_b74c4l22qo/clone/recipe, last modified Thu Jun 13 11:03:57 2024
# ------------------------------------------------

package:
  name: holoviews
  version: 1.19.0
source:
  sha256: cab1522f75a9b46377f9364b675befd79812e220059714470a58e21475d531ba
  url: https://pypi.io/packages/source/h/holoviews/holoviews-1.19.0.tar.gz
build:
  entry_points:
    - holoviews = holoviews.util.command:main
  number: '0'
  script:
    - /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_b74c4l22qo/croot/holoviews_1718294645425/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
      -m pip install . -vv --no-deps --no-build-isolation
  string: py312hecd8cb5_0
requirements:
  host:
    - bzip2 1.0.8 h6c40b1e_6
    - ca-certificates 2024.3.11 hecd8cb5_0
    - editables 0.3 py312hecd8cb5_0
    - expat 2.6.2 hcec6c5f_0
    - hatch-vcs 0.3.0 py312hecd8cb5_1
    - hatchling 1.21.1 py312hecd8cb5_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_1
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.13 hca72f7f_2
    - packaging 23.2 py312hecd8cb5_0
    - pathspec 0.10.3 py312hecd8cb5_0
    - pip 24.0 py312hecd8cb5_0
    - pluggy 1.0.0 py312hecd8cb5_1
    - python 3.12.3 hd58486a_1
    - readline 8.2 hca72f7f_0
    - setuptools 69.5.1 py312hecd8cb5_0
    - setuptools-scm 8.0.4 py312hecd8cb5_0
    - sqlite 3.45.3 h6c40b1e_0
    - tk 8.6.14 h4d00af3_0
    - trove-classifiers 2023.10.18 py312hecd8cb5_0
    - typing-extensions 4.11.0 py312hecd8cb5_0
    - typing_extensions 4.11.0 py312hecd8cb5_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py312hecd8cb5_0
    - xz 5.4.6 h6c40b1e_1
    - zlib 1.2.13 h4b97444_1
  run:
    - bokeh >=3.1
    - colorcet
    - matplotlib-base >=3.0
    - numpy >=1.21
    - packaging
    - pandas >=1.3
    - panel >=1.0
    - param >=2.0,<3.0
    - python >=3.12,<3.13.0a0
    - pyviz_comms >=2.1
  run_constrained:
    - plotly >=4.0
test:
  commands:
    - pip check
    - holoviews -h
  imports:
    - holoviews
  requires:
    - pip
about:
  description: 'HoloViews is an open-source Python library designed to make data analysis

    and visualization seamless and simple. With HoloViews, you can usually

    express what you want to do in very few lines of code, letting you focus on

    what you are trying to explore and convey, not on the process of plotting.

    '
  dev_url: https://github.com/holoviz/holoviews
  doc_url: https://holoviews.org/getting_started/index.html
  home: https://holoviews.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Stop plotting your data - annotate your data and let it visualize itself.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b79171e4-cc5e-4576-8c99-edf09855ca28
  recipe-maintainers:
    - basnijholt
    - hoxbro
    - jlstevens
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/holoviews-feedstock.git
  sha: 775b7bb01e79bbbeb99c40bdd7f7f7239a7cfae9
  skip-lints:
    - host_section_needs_exact_pinnings
    - python_build_tool_in_run
